Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigedit.tools
Class ToolsListerFrame

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.FramedResource
                        |
                        +--org.w3c.tools.resources.ResourceFrame
                              |
                              +--org.w3c.tools.resources.ProtocolFrame
                                    |
                                    +--org.w3c.jigsaw.frames.HTTPFrame
                                          |
                                          +--org.w3c.jigsaw.frames.PostableFrame
                                                |
                                                +--org.w3c.jigedit.tools.ToolsListerFrame

All Implemented Interfaces:
  AttributeChangedListener, java.lang.Cloneable, java.util.EventListener, FrameEventListener, StructureChangedListener

public class ToolsListerFrame
extends PostableFrame
implements StructureChangedListener

Emit the content of its parent directory.

Field Summary
`protected java.lang.Class` | `httpClass`

Fields inherited from class org.w3c.jigsaw.frames.PostableFrame
`ATTR_CONVERT_GET, ATTR_OVERIDE`

Fields inherited from class org.w3c.jigsaw.frames.HTTPFrame
`acceptRanges, allowed, ATTR_ALLOW_DEL, ATTR_BROWSABLE, ATTR_CHARSET, ATTR_CONTENT_ENCODING, ATTR_CONTENT_LANGUAGE, ATTR_CONTENT_LENGTH, ATTR_CONTENT_TYPE, ATTR_ICON, ATTR_ICONDIR, ATTR_INDEX, ATTR_INDEXES, ATTR_MAXAGE, ATTR_MD5, ATTR_PUTABLE, ATTR_QUALITY, ATTR_RELOCATE, ATTR_STYLE_LINK, ATTR_TITLE, browsetype, COND_FAILED, COND_OK, dresource, fresource, listing, listing_stamp, STATE_CONTENT_LOCATION`

Fields inherited from class org.w3c.tools.resources.ResourceFrame
`filterClass, frameListener, resource`

Fields inherited from class org.w3c.tools.resources.FramedResource
`ATTR_OID, attrListener, debugEvent, event_disabled, framesRef, structListener`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL, co, id`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, values`

Constructor Summary
`ToolsListerFrame()`

Method Summary
`Reply` | `getDirectoryListing(Request request)` Get the directory listing.
`protected ResourceReference` | `getDirResourceRef()`
`protected Reply` | `getOtherResource(Request request)` The default GET method for other king of associated resource
`Reply` | `handle(Request request, URLDecoder data)` Handle the form submission, after posted data parsing.
`void` | `registerResource(FramedResource resource)` Register this frame to the given resource.
`void` | `resourceCreated(StructureChangedEvent evt)` Unused here.
`void` | `resourceModified(StructureChangedEvent evt)` Unused here.
`void` | `resourceRemoved(StructureChangedEvent evt)` A resource is about to be removed This handles the `RESOURCE_REMOVED` kind of events.
`void` | `resourceUnloaded(StructureChangedEvent evt)` A resource is about to be unloaded This handles the `RESOURCE_UNLOADED` kind of events.

Methods inherited from class org.w3c.jigsaw.frames.PostableFrame
`get, getAllow, getConvertGetFlag, getOverrideFlag, post`

Methods inherited from class org.w3c.jigsaw.frames.HTTPFrame
`addStyleSheet, attributeChanged, browse, checkIfMatch, checkIfModifiedSince, checkIfNoneMatch, checkIfUnmodifiedSince, checkRequest, computeContainerListing, computeETag, computeTrashDir, computeTrashFile, createDefaultReply, createFileReply, delete, deleteDirectoryResource, deleteFileResource, deleteMe, deleteOtherResource, extended, getAllowDeleteFlag, getBrowsableFlag, getBrowseType, getCharset, getContentEncoding, getContentLanguage, getContentLength, getContentType, getDirectoryResource, getDirectoryResource, getETag, getFileResource, getFileResource, getHelpURL, getHelpURL, getIcon, getIconDirectory, getIndex, getIndexes, getMaxAge, getMD5Flag, getPutableFlag, getQuality, getRelocateFlag, getStyleSheetURL, getTitle, getURL, handleRangeRequest, head, headDirectoryResource, headFileResource, headOtherResource, initialize, link, lookup, lookupDirectory, lookupFile, lookupOther, lookupResource, options, perform, performFrames, pickleValues, put, putFileResource, putOtherResource, registerOtherResource, setValue, trace, unlink, updateCachedHeaders`

Methods inherited from class org.w3c.tools.resources.ResourceFrame
`addFrameEventListener, eventDisabled, fireFrameEvent, frameModified, getFilters, getFilters, getFrameReference, getResource, getResourceReference, getSpaceEntry, getURLPath, lookupFilters, lookupFrames, postFrameEvent, processEvent, removeFrameEventListener, unregisterResource, updateDefaultChildAttributes`

Methods inherited from class org.w3c.tools.resources.FramedResource
`addAttributeChangedListener, addStructureChangedListener, collectFramesReference, delete, disableEvent, displayEvent, enableEvent, fireAttributeChangeEvent, fireStructureChangedEvent, fireStructureChangedEvent, frameAdded, frameRemoved, getClone, getFrame, getFrame, getFrameReference, getFrameReference, getFramesReference, getOid, initialize, markModified, notifyUnload, postAttributeChangeEvent, postEvent, postStructureChangedEvent, postStructureChangedEvent, registerFrame, registerFrameIfNone, removeAttributeChangedListener, removeStructureChangedListener, setSilentValue, setSilentValue, unregisterFrame`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getContext, getFrame, getFrames, getIdentifier, getLastModified, getParent, getServer, getSpace, getStoreEntry, getValue, getValue, isInitialized, isUnloaded, setContext, setContext, setValue, unsafeGetContext, unsafeGetValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, lookupAttribute, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### httpClass

    protected java.lang.Class httpClass

Constructor Detail

### ToolsListerFrame

    public ToolsListerFrame()

Method Detail

### getDirResourceRef

    protected ResourceReference getDirResourceRef()

### registerResource

    public void registerResource(FramedResource resource)

  Description copied from class: `HTTPFrame`
  Register this frame to the given resource.

  Overrides:
    `registerResource` in class `HTTPFrame`
  Parameters:
    `resource` - The resource associated with this frame.

### resourceModified

    public void resourceModified(StructureChangedEvent evt)

  Unused here.

  Specified by:
    `resourceModified` in interface `StructureChangedListener`
  Parameters:
    `evt` - The StructureChangeEvent.

### resourceCreated

    public void resourceCreated(StructureChangedEvent evt)

  Unused here.

  Specified by:
    `resourceCreated` in interface `StructureChangedListener`
  Parameters:
    `evt` - The event describing the change.

### resourceUnloaded

    public void resourceUnloaded(StructureChangedEvent evt)

  Description copied from interface: `StructureChangedListener`
  A resource is about to be unloaded This handles the `RESOURCE_UNLOADED` kind of events.

  Specified by:
    `resourceUnloaded` in interface `StructureChangedListener`
  Parameters:
    `evt` - The event describing the change.

### resourceRemoved

    public void resourceRemoved(StructureChangedEvent evt)

  A resource is about to be removed This handles the `RESOURCE_REMOVED` kind of events.

  Specified by:
    `resourceRemoved` in interface `StructureChangedListener`
  Parameters:
    `evt` - The event describing the change.

### getDirectoryListing

    public Reply getDirectoryListing(Request request)
                              throws ProtocolException,
                                     ResourceException

  Get the directory listing.

  Overrides:
    `getDirectoryListing` in class `HTTPFrame`
  Parameters:
    `request` - the incomming request.
  Throws:
    `ProtocolException` - if a protocol error occurs
    `ResourceException` - if a server error occurs

### getOtherResource

    protected Reply getOtherResource(Request request)
                              throws ProtocolException,
                                     ResourceException

  Description copied from class: `HTTPFrame`
  The default GET method for other king of associated resource

  Overrides:
    `getOtherResource` in class `HTTPFrame`
  Parameters:
    `request` - The request to handle.
  Throws:
    `ProtocolException` - if a protocol error occurs
    `ResourceException` - if a server error occurs

### handle

    public Reply handle(Request request,
                        URLDecoder data)
                 throws ProtocolException

  Handle the form submission, after posted data parsing.

  This method ought to be abstract, but for reasonable reason, it will just dump (parsed) the form content back to the client, so that it can be used for debugging.

  Overrides:
    `handle` in class `PostableFrame`
  Parameters:
    `request` - The request proper.
    `data` - The parsed data content.
  Throws:
    `ProtocolException` - If form data processing failed.
  See Also:
    `URLDecoder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD